EDIT - feature request #8595

Create description detail page
10/16/2019 02:58 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

Create a description detail page like it already exists for e.g. specimens.
From additivity wiki:

Wir brauchen eine Portal-Detailseite fiir Descriptions

Related issues:

Related to EDIT - feature request #8596: Add a list of descriptions to the ta... Closed
Precedes EDIT - bug #8739: remaining issues for description detail page Closed
Copied to EDIT - feature request #8967: Improve label for cloned descriptions New

Associated revisions

Revision e170a53e - 10/16/2019 03:02 PM - Patrick Plitzner
ref #8595, #8596 Show list of aggr. descriptions on taxon page and link to detail page

Revision 8b384421 - 10/16/2019 05:38 PM - Patrick Plitzner

ref #8595 Show clickable sources on description detail page

Revision af9984b8 - 10/16/2019 05:45 PM - Patrick Plitzner
ref #8595 Add sources to description init strategy

Revision 9d88232c - 10/17/2019 11:52 AM - Patrick Plitzner
ref #8595 Fix taxon page TOC

Revision 67ce7111 - 10/17/2019 12:24 PM - Patrick Plitzner

ref #8595 Show associated specimen on description detail page

e drupal formatting code

Revision 882e2c¢02 - 11/01/2019 04:45 PM - Patrick Plitzner

ref #8595 Show aggregation description elements on taxon page

Revision 4b428921 - 11/04/2019 04:03 PM - Patrick Plitzner

ref #8595 Show count for StateData + only show data when state!=null

Revision 1601d218 - 11/05/2019 09:05 AM - Patrick Plitzner
ref #8595 Change header label for aggr. descriptions
Revision 074747bf - 11/05/2019 09:24 AM - Patrick Plitzner

ref #8595 Show characters in italic instead of bold

Revision d61e49ac - 11/05/2019 09:39 AM - Patrick Plitzner

ref #8595 Show specimen titleCache for source descriptions

Revision 18110d8c - 11/05/2019 09:53 AM - Patrick Plitzner

ref #8595 Fix compile error

Revision 5548f6bc - 11/05/2019 09:59 AM - Patrick Plitzner

ref #8595 Fix compile error

Revision 16515bdf - 11/21/2019 02:33 PM - Patrick Plitzner

ref #8595 Add creation date for cloned source descriptions

Revision ¢7e854d5 - 11/21/2019 04:13 PM - Patrick Plitzner

ref #8595 Only show feature table when data available

Revision 5ac909c0 - 11/22/2019 10:38 AM - Patrick Plitzner

ref #8595 Only show available datasets label when data available

Revision eb89b236 - 11/22/2019 10:41 AM - Patrick Plitzner

ref #8595 Fix feature table when no data available

Revision 1b7e1801 - 11/22/2019 10:43 AM - Patrick Plitzner

ref #8595 Fix moved method invocation

Revision 06d7ad52 - 12/03/2019 12:30 PM - Patrick Plitzner
ref #8595 Fix potential null pointer

Revision 20245cca - 12/03/2019 02:20 PM - Patrick Plitzner

ref #8595 Do not filter description sources by class

History

#1 - 11/05/2019 01:21 PM - Patrick Plitzner

- Status changed from New to Resolved

#2 - 11/07/2019 09:20 AM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

- % Done changed from 0 to 50

Example: http://test.e-taxonomy.eu/dataportal/preview/campanulaceae/cdm_dataportal/description/dc871867-3d87-4fce-b428-49b4c7307e98

#3 - 11/07/2019 11:38 AM - Andreas Kohlbecker
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner

It is hard to review this ticket since the requirements to the layout of the page are missing in the ticket. Please add the full specification as discussed

in the project (Meeting notes etc....)

#4 - 11/07/2019 12:05 PM - Andreas Miuller

There are still many open issues (most of them discussed in additivity). So we need a follow up ticket. This ticket as implement for 5.11 seems to be
more about the existence of the page (and maybe correct URL syntax etc.). Layout (and ordering) definetly needs further work.

@PP: Maybe it is a no.brainer to remove the full description from each source again (as discussed in last meeting), this may make the page look

much nicer already
http://test.e-taxonomy.eu/dataportal/preview/campanulaceae/cdm_dataportal/description/dc871867-3d87-4fce-b428-49b4c7307e98

#5 - 11/07/2019 12:07 PM - Andreas Miiller
- Related to feature request #8596: Add a list of descriptions to the taxon page added

#6 - 11/07/2019 12:46 PM - Patrick Plitzner
- Description updated

- Assignee changed from Patrick Plitzner to Andreas Kohlbecker

Added specs from additivity wiki

#7 - 11/07/2019 12:47 PM - Patrick Plitzner

- Description updated

#8 - 11/07/2019 02:32 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Patrick Plitzner
Code review notes:
e description.inc#1179 : $enclosing_tag = cdm_feature_block_element_tag_name($feature_block_settings); is unused, this breaks the feature
block setting as_list (old bug)
e pages.inc : render_cdm_description_link() & compose_cdm_description() must not use <i> and <br> to apply styling, all styling must be allied
through css
These findings are not critical and should be solved for the next release.

#9 - 11/07/2019 03:19 PM - Patrick Plitzner

- Target version changed from Release 5.11 to 287

#10 - 11/21/2019 02:34 PM - Patrick Plitzner

- Description updated

#11 - 11/21/2019 02:38 PM - Patrick Plitzner
- Description updated

- Status changed from Feedback to Resolved

#13 - 11/22/2019 11:34 AM - Patrick Plitzner

- Description updated

#14 - 11/22/2019 01:16 PM - Patrick Plitzner

- Description updated

#15 - 11/22/2019 01:23 PM - Andreas Kohlbecker

- Description updated

#16 - 11/22/2019 01:24 PM - Andreas Kohlbecker

- Description updated

#17 - 11/22/2019 01:25 PM - Andreas Kohlbecker

- Description updated

#18 - 11/22/2019 01:36 PM - Patrick Plitzner

- Description updated

#19 - 12/03/2019 12:17 PM - Patrick Plitzner
- Related to bug #8739: remaining issues for description detail page added

#20 - 12/03/2019 12:17 PM - Patrick Plitzner
- Related to deleted (bug #8739: remaining issues for description detail page)
#21 - 12/03/2019 12:17 PM - Patrick Plitzner

- Precedes bug #8739: remaining issues for description detail page added

#22 - 12/03/2019 12:18 PM - Patrick Plitzner

- Description updated

#23 - 12/03/2019 12:19 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Miiller
created new ticket for remaining issues and discussion -> #8739

#24 - 12/17/2019 02:15 PM - Andreas Miiller

- Target version changed from 287 to Release 5.12

#25 - 04/21/2020 02:37 PM - Andreas Miiller

Geklonte SpecimenDescription brauchen Datum und Dataset im Titel => this is not yet fully implemented. Created new ticket: #8967

#26 - 04/21/2020 02:38 PM - Andreas Miiller
- Status changed from Resolved to Closed
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 50 to 100
All the rest seems to be fixed or even improved in the meanwhile. So | close this ticket.

#27 - 03/05/2021 10:25 AM - Andreas Miiller

- Copied to feature request #8967: Improve label for cloned descriptions added
https://dev.e-taxonomy.eu/redmine/issues/8739
https://dev.e-taxonomy.eu/redmine/issues/8967
http://www.tcpdf.org

